Ensure Share
Ensures that the Share with the provided ID is created or modified. The full Share needs to be provided to ensure (either update or create) the Share. Non present data will only be filled with defaults or left empty, but not take previous values into consideration.
The token can be generated using the Authentication API.
The ID (UUID) of the Cluster.
e69b22a5-8fee-56b1-b6fb-4a07e4205eadThe ID (UUID) of the Share.
7b1ef56d-dfc6-51fe-aff0-7af2d6747868The ID (UUID) of the Share.
7b1ef56d-dfc6-51fe-aff0-7af2d6747868Metadata
Share successfully updated.
The ID (UUID) of the Share.
7b1ef56d-dfc6-51fe-aff0-7af2d6747868The type of the resource.
The URL of the Share.
/clusters/{clusterId}/shares/7b1ef56d-dfc6-51fe-aff0-7af2d6747868Share successfully ensured.
Bad Request
The request send to the API was malformed.
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
Not Allowed
The user issuing the request does not have the needed permissions.
Not Found
The resource that was requested could not be found.
Conflict
The UUID is already taken by another party, follow the guides to generate UUIDs uniquely.
Unsupported Media Type
The request has an unsupported media type.
Unprocessable Entity
The request was well-formed but was unable to be followed due to semantic errors.
Too Many Requests
The user has sent too many requests in a given amount of time.
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
Service Unavailable
The server is currently unable to handle the request due to a temporary overloading or maintenance of the server.
Unexpected Internal Server Error
An unexpected internal error occurred. We apologize for the inconvenience!
PUT /clusters/{clusterId}/shares/{shareId} HTTP/1.1
Host: nfs.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 220
{
"id": "7b1ef56d-dfc6-51fe-aff0-7af2d6747868",
"metadata": {},
"properties": {
"name": "example-export",
"quota": 512,
"clientGroups": [
{
"ipNetworks": [
"10.234.50.0/24"
],
"hosts": [
"10.234.62.123"
],
"nfs": {
"squash": "all-anonymous"
}
}
]
}
}{
"id": "7b1ef56d-dfc6-51fe-aff0-7af2d6747868",
"type": "share",
"href": "/clusters/{clusterId}/shares/7b1ef56d-dfc6-51fe-aff0-7af2d6747868",
"metadata": {
"createdDate": "2020-12-10T13:37:50+01:00",
"createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedDate": "2020-12-11T13:37:50+01:00",
"lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
"status": "AVAILABLE",
"statusMessage": null,
"nfsPath": "/123e4567-e89b-12d3-a456-426614174222",
"used": 134217728
},
"properties": {
"name": "example-export",
"quota": 512,
"clientGroups": [
{
"ipNetworks": [
"10.234.50.0/24"
],
"hosts": [
"10.234.62.123"
],
"nfs": {
"squash": "all-anonymous"
}
}
]
}
}Last updated
Was this helpful?